<?php get_header(); ?>

<?php require_once('slider.php'); ?>

<section class="brands common">
    <div class="container">
        <h4 class="sec-title"><?php _e('كتالوج','alpha')?></h4>
        <div class="brands-slider">
            <?php
            $terms = get_terms( array(
                'taxonomy' => 'product_cat',
                'hide_empty' => false,
                'exclude'=>20,
                'parent'=>0
            ) );
            ?>
            <?php foreach ($terms as $term):
                $thumbnail_id = get_term_meta( $term->term_id, 'thumbnail_id', true );
                $image = wp_get_attachment_url( $thumbnail_id );?>
                <div class="single-brand">

                    <a href="<?php echo get_term_link($term->term_id); ?>">
                        <img src="<?php  echo $image ?>" alt="<?php echo $term->name ?>">
                    </a>
                </div>
            <?php endforeach; ?>
        </div>
    </div>
</section>

<section class="news">
    <div class="container">
        <h4 class="sec-title"><?php _e('منتجات موصي بها لك','alpha')?></h4>
        <div class="woocommerce">
            <div class="products">
                <div class="row">
                    <?php
                    $args = array('post_type' => 'product', 'posts_per_page' => 20,);
                    $loop = new WP_Query($args);
                    while ($loop->have_posts()) : $loop->the_post();
                        global $product; ?>
                        <div class="product  col-md-3 col-sm-6">
                            <div class="custom-product-wrapper">
                                <?php echo do_shortcode("[ti_wishlists_addtowishlist loop=yes]") ;?>

                                <a href="<?php echo get_permalink($loop->post->ID) ?>"
                                   title="<?php echo esc_attr($loop->post->post_title ? $loop->post->post_title : $loop->post->ID); ?>">
                                    <?php
                                    woocommerce_show_product_sale_flash($post, $product); ?>
                                    <span data-jckqvpid="<?php echo get_the_ID() ?>" class="jckqvBtn" style="visibility: hidden; opacity: 0;"><i class="jckqv-icon-eye"></i> </span>
                                    <span class="img-wrapper">
                            <?php if (has_post_thumbnail($loop->post->ID)) echo get_the_post_thumbnail($loop->post->ID, 'shop_catalog');
                            else echo '<img src="' . woocommerce_placeholder_img_src() . '" alt="Placeholder"   />'; ?>
                        </span>
                                    <?php the_title('<h3>', '</h3>');
                                    echo '<span class="price">' . $product->get_price_html() . '</span>';
                                    ?>
                                </a>
                                <?php woocommerce_template_loop_add_to_cart($loop->post, $product); ?>
                            </div>
                        </div>
                    <?php endwhile;
                    wp_reset_query();
                    ?>
                </div>
            </div>
        </div>
        
    </div>
</section>

<section class="parts gray-bg">
    <div class="container">
        <h4 class="sec-title"><?php _e('وصل حديثاً','alpha')?></h4>


        <div class="row">
            <div class="woocommerce">
                <div class="products">
                    <div class="recent-products">
                        <?php
                        $args = array('post_type' => 'product', 'posts_per_page' => 20,);
                        $loop = new WP_Query($args);
                        while ($loop->have_posts()) : $loop->the_post();
                            global $product; ?>
                            <div class="product  ">
                                <div class="custom-product-wrapper">
                                    <?php echo do_shortcode("[ti_wishlists_addtowishlist loop=yes]") ;?>
                                    <a href="<?php echo get_permalink($loop->post->ID) ?>"
                                       title="<?php echo esc_attr($loop->post->post_title ? $loop->post->post_title : $loop->post->ID); ?>">
                                        <?php
                                        woocommerce_show_product_sale_flash($post, $product); ?>
                                        <span data-jckqvpid="<?php echo get_the_ID() ?>" class="jckqvBtn" style="visibility: hidden; opacity: 0;"><i class="jckqv-icon-eye"></i> </span>

                                        <span class="img-wrapper">
                            <?php if (has_post_thumbnail($loop->post->ID)) echo get_the_post_thumbnail($loop->post->ID, 'shop_catalog');
                            else echo '<img src="' . woocommerce_placeholder_img_src() . '" alt="Placeholder"   />'; ?>
                        </span>
                                        <?php the_title('<h3>', '</h3>');
                                        echo '<span class="price">' . $product->get_price_html() . '</span>';
                                        ?>
                                    </a>
                                    <?php woocommerce_template_loop_add_to_cart($loop->post, $product); ?>
                                </div>

                            </div>
                        <?php endwhile;
                        wp_reset_query();
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<?php get_footer(); ?>
